Google Web Toolkit (Beta)
Search this site:

# Class ChangeListenerCollection

public class ChangeListenerCollection
extends ArrayList
// Superclass of `DelegatingChangeListenerCollection`
A helper class for implementers of the SourcesChangeEvents interface. This subclass of <linkArrayList></linkArrayList> assumes that all objects added to it will be of type ChangeListener.

## Methods

fireChange(Widget) | Fires a change event to all listeners.

## Method Detail

### fireChange

public void fireChange(Widget sender)
Fires a change event to all listeners.

#### Parameters

sender
  the widget sending the event.